CKEDITOR.plugins.add('tabs',
{
    init: function (editor) {
        editor.addCommand('tabs',
			{
			    modes: { wysiwyg: 1, source: 1 },
			    exec: function (editor) {
			        var html = '<div class="ui-tabs">\n\
    <ul class="ui-tabs-nav ui-helper-clearfix">\n\
        <li><a href="#tabs-1">标签一</a></li><li><a href="#tabs-2">标签二</a></li><li><a href="#tabs-3">标签三</a></li>\n\
    </ul>\n\
    <div class="tab" id="tabs-1">标签一内容区</div><div class="tab" id="tabs-2">标签二内容区</div><div class="tab" id="tabs-3">标签三内容区</div>\n\
</div>';
		            var ele = CKEDITOR.dom.element.createFromHtml(html, editor.document );
		            editor.insertElement( ele );
			        editor.focus();
			    },
			    async: true
			});
        editor.ui.addButton('tabs',
			{
			    label: '多标签(选项卡)组件',
			    icon: this.path + 'tabs.gif',
			    command: 'tabs'
			});
    }
});